ViennaCL - The Vienna Computing Library: viennacl::tools::detail::sha1 Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
viennacl::tools::detail::sha1 Class Reference

`#include <sha1.hpp>`

## Public Types
typedef uint32_t | digest32_t [5]
typedef uint8_t | digest8_t [20]

## Public Member Functions
| sha1 ()
virtual | ~sha1 ()
| sha1 (const sha1 &s)
const sha1 & | operator= (const sha1 &s)
sha1 & | reset ()
sha1 & | processByte (uint8_t octet)
sha1 & | processBlock (const void *const start, const void *const end)
sha1 & | processBytes (const void *const data, vcl_size_t len)
const uint32_t * | getDigest (digest32_t digest)
const uint8_t * | getDigestBytes (digest8_t digest)

## Static Public Member Functions
static uint32_t | LeftRotate (uint32_t value, vcl_size_t count)

## Protected Member Functions
void | processBlock ()

## Detailed Description

Definition at line 52 of file sha1.hpp.

## Member Typedef Documentation

typedef uint32_t viennacl::tools::detail::sha1::digest32_t[5]

Definition at line 55 of file sha1.hpp.

typedef uint8_t viennacl::tools::detail::sha1::digest8_t[20]

Definition at line 56 of file sha1.hpp.

## Constructor & Destructor Documentation

viennacl::tools::detail::sha1::sha1 | ( |  | ) |
| inline

Definition at line 60 of file sha1.hpp.

virtual viennacl::tools::detail::sha1::~sha1 | ( |  | ) |
| inlinevirtual

Definition at line 61 of file sha1.hpp.

viennacl::tools::detail::sha1::sha1 | ( | const sha1 & | s | ) |
| inline

Definition at line 62 of file sha1.hpp.

## Member Function Documentation

const uint32_t* viennacl::tools::detail::sha1::getDigest | ( | digest32_t | digest | ) |
| inline

Definition at line 103 of file sha1.hpp.

const uint8_t* viennacl::tools::detail::sha1::getDigestBytes | ( | digest8_t | digest | ) |
| inline

Definition at line 130 of file sha1.hpp.

static uint32_t viennacl::tools::detail::sha1::LeftRotate | ( | uint32_t | value,
|  | vcl_size_t | count
| ) |  |
| inlinestatic

Definition at line 57 of file sha1.hpp.

const sha1& viennacl::tools::detail::sha1::operator= | ( | const sha1 & | s | ) |
| inline

Definition at line 63 of file sha1.hpp.

sha1& viennacl::tools::detail::sha1::processBlock | ( | const void *const | start,
|  | const void *const | end
| ) |  |
| inline

Definition at line 89 of file sha1.hpp.

void viennacl::tools::detail::sha1::processBlock | ( |  | ) |
| inlineprotected

Definition at line 162 of file sha1.hpp.

sha1& viennacl::tools::detail::sha1::processByte | ( | uint8_t | octet | ) |
| inline

Definition at line 80 of file sha1.hpp.

sha1& viennacl::tools::detail::sha1::processBytes | ( | const void *const | data,
|  | vcl_size_t | len
| ) |  |
| inline

Definition at line 98 of file sha1.hpp.

sha1& viennacl::tools::detail::sha1::reset | ( |  | ) |
| inline

Definition at line 70 of file sha1.hpp.

The documentation for this class was generated from the following file:

- viennacl/tools/sha1.hpp